# Get user activity by day of week and time of day

Endpoint: GET /v1/bots/{bot_id}/users/activity
Version: 1.0.0
Security: basicAuth

## Path parameters:

  - `bot_id` (string, required)
    Identifies the bot.

## Query parameters:

  - `version` (string, required)
    Identifies the bot version.

  - `start_time` (string, required)
    The starting date for the time range of the data series.

  - `end_time` (string, required)
    The ending date for the time range of the data series, exclusive.

  - `channel_type` (string)
    Filter by specific channels, multiple values separated by comma.

  - `language` (string)
    Filter by specific languages, multiple values separated by comma.

## Response 200 fields (application/json):

  - `data` (object)

  - `data.series` (array)

  - `data.series.values` (array)

  - `data.series.mean` (integer)
    The mean value.

  - `data.series.max` (integer)
    The max value.

  - `data.series.min` (integer)
    The min value.

  - `data.series.sum` (integer)
    The sum of all values.

  - `data.series.labels` (object)

  - `data.series_labels` (array)

  - `data.x_values` (array)


